<html>
<head>
<title>Ogre::MaterialScriptProgramDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MaterialScriptProgramDefinition Struct Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MaterialScriptProgramDefinition" -->
<p>Struct for holding a program definition which is in progress.  
 <a href="structOgre_1_1MaterialScriptProgramDefinition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>&gt;</code></p>

<p><a href="structOgre_1_1MaterialScriptProgramDefinition-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ad766f0b063f8753dbfdbb04b1e05d2a1">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a71d6628fda7a428d149f7f53dcbf86dc">progType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a634973d853b04b2cf2af2133d504b257">language</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#acb6cf4f2d3a5fdaff51d6ca169ad0fc0">source</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a8392666564161eed2e77efed86ead9fd">syntax</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ae1581e882fed968d73656a5a389679ca">supportsSkeletalAnimation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a7d0607b541edd5abfc19a1e933eed431">supportsMorphAnimation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#aceffe25ef1a661814764abcff14693a3">supportsPoseAnimation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a4fdff24708148cef3ede00b2e6abade8">usesVertexTextureFetch</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; std::pair&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt; &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ab9154054c102527e0eb595216ddd6c86">customParameters</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct for holding a program definition which is in progress. </p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00060">60</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab9154054c102527e0eb595216ddd6c86"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::customParameters" ref="ab9154054c102527e0eb595216ddd6c86" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;std::pair&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; &gt;::type <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ab9154054c102527e0eb595216ddd6c86">Ogre::MaterialScriptProgramDefinition::customParameters</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00071">71</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a634973d853b04b2cf2af2133d504b257"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::language" ref="a634973d853b04b2cf2af2133d504b257" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a634973d853b04b2cf2af2133d504b257">Ogre::MaterialScriptProgramDefinition::language</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00064">64</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad766f0b063f8753dbfdbb04b1e05d2a1"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::name" ref="ad766f0b063f8753dbfdbb04b1e05d2a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ad766f0b063f8753dbfdbb04b1e05d2a1">Ogre::MaterialScriptProgramDefinition::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00062">62</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a71d6628fda7a428d149f7f53dcbf86dc"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::progType" ref="a71d6628fda7a428d149f7f53dcbf86dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a71d6628fda7a428d149f7f53dcbf86dc">Ogre::MaterialScriptProgramDefinition::progType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00063">63</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb6cf4f2d3a5fdaff51d6ca169ad0fc0"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::source" ref="acb6cf4f2d3a5fdaff51d6ca169ad0fc0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#acb6cf4f2d3a5fdaff51d6ca169ad0fc0">Ogre::MaterialScriptProgramDefinition::source</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00065">65</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d0607b541edd5abfc19a1e933eed431"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation" ref="a7d0607b541edd5abfc19a1e933eed431" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a7d0607b541edd5abfc19a1e933eed431">Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00068">68</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aceffe25ef1a661814764abcff14693a3"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation" ref="aceffe25ef1a661814764abcff14693a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#aceffe25ef1a661814764abcff14693a3">Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00069">69</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae1581e882fed968d73656a5a389679ca"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation" ref="ae1581e882fed968d73656a5a389679ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ae1581e882fed968d73656a5a389679ca">Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8392666564161eed2e77efed86ead9fd"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::syntax" ref="a8392666564161eed2e77efed86ead9fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a8392666564161eed2e77efed86ead9fd">Ogre::MaterialScriptProgramDefinition::syntax</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00066">66</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4fdff24708148cef3ede00b2e6abade8"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch" ref="a4fdff24708148cef3ede00b2e6abade8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#a4fdff24708148cef3ede00b2e6abade8">Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
